Index: select.cpp
===================================================================
--- select.cpp	(revision 5312)
+++ select.cpp	(working copy)
@@ -1018,10 +1018,11 @@
       }
 
 //---------------------------------------------------------
-//   isInMiddleOfTuplet
+//   checkStart
+//     return true if element is NOT a tuplet or is start of a tuplet
 //---------------------------------------------------------
 
-static bool isInMiddleOfTuplet(Element* e)
+static bool checkStart(Element* e)
       {
       if (e == 0 || !e->isChordRest())
             return false;
@@ -1032,8 +1033,6 @@
       while (tuplet) {
             if (tuplet->elements().front() == e)
                   return false;
-            if (tuplet->elements().back() == e)
-                  return false;
             tuplet = tuplet->tuplet();
             }
       return true;
@@ -1050,11 +1049,13 @@
             return true;
 
       for (int staffIdx = _staffStart; staffIdx != _staffEnd; ++staffIdx) {
-            if (isInMiddleOfTuplet(_startSegment->element(staffIdx)))
+            if (checkStart(_startSegment->element(staffIdx)))
                   return false;
-            if (_endSegment && isInMiddleOfTuplet(_endSegment->element(staffIdx)))
+            // _endSegment is the next segment after the selection,
+            // it must also be at the start of a tuplet so that the
+            // selected tuplet is fully contained in the selection
+            if (_endSegment && checkStart(_endSegment->element(staffIdx)))
                   return false;
             }
       return true;
       }
-
